Enable the organization's registry
POST
/api/v1/organizations/{orgID}/registry
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry \ --header 'Authorization: Bearer <token>'Provisions the org’s Harbor project and a default robot credential. No request body is required. The robot credentials are returned only in this response.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
Responses
Section titled “ Responses ”The enabled registry plus one-time robot credentials.
Media type application/json
object
registry
required
object
id
required
string
org_id
required
string
harbor_project
required
string
endpoint
required
string
enabled
required
boolean
quota_gb
required
integer
used_gb
number | null format: double
created_at
required
string format: date-time
updated_at
required
string format: date-time
credentials
required
object
username
required
The Harbor robot username (e.g. robot$aether+org-
string
password
required
The robot secret. Shown only once.
string
Example generated
{ "registry": { "id": "example", "org_id": "example", "harbor_project": "example", "endpoint": "example", "enabled": true, "quota_gb": 1, "used_gb": 1, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }, "credentials": { "username": "example", "password": "example" }}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The requested resource was not found.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}The resource already exists or conflicts with current state.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}A required backend dependency is unavailable.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}